
Redmine - Defect #4056

Rename named_scope :public for Project to something else

2009-10-19 19:30 - Dmitri Kouikoff

Status: Closed Start date: 2009-10-19

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Projects Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

As the word public is reserved in ruby, the attempt to mock/stub the model Project fails, since the line that introduces a new public

method fails due to the fact that word 'public' is redefined by the named_scope.

I suspect you may meet the case while setting up the shoulda.

Associated revisions

Revision 2941 - 2009-10-21 05:21 - Eric Davis

Renamed Project#public named_scope so it will not override Ruby's public method

#4056

History

#1 - 2009-10-20 02:54 - Eric Davis

- Category set to Projects

- Status changed from New to 7

Agreed.  I ran into this when I would mock Project.public in my tests.  What do you propose renaming it to?  Project.public_projects? 

Project.all_public?

#2 - 2009-10-20 07:36 - Dmitri Kouikoff

I think :all_public is pretty good. As a variant I was thinking about :public_state. :-)

#3 - 2009-10-21 05:17 - Eric Davis

- Status changed from 7 to Closed

- Target version set to 0.9.0

- % Done changed from 0 to 100

- Resolution set to Fixed

Project.all_public it is.  Thanks for the suggestion. r2941

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/2941
http://www.tcpdf.org

